** Another part of ODS Graphics in SAS 9.2 shows ;
** how the new GSTYLE options works with device-based procedures.;
** In previous version of SAS, the SAS style template was not used;
** for most device-based output (unless you used ACTIVEX or JAVA drivers;
options gstyle;
ods listing style=watercolor;
proc gchart data=sashelp.heart;
  title "Style=Watercolor";
  hbar chol_status / descending nostats;
run;
quit;
  
ods listing style=ocean;
proc gchart data=sashelp.heart;
  title "Style=Ocean";
  hbar chol_status / descending nostats;
run;
quit;

ods listing style=listing;
proc gchart data=sashelp.heart;
  title "Style=Listing";
  hbar chol_status / descending nostats;
run;
quit;


options nogstyle;
proc gchart data=sashelp.heart;
  hbar chol_status / descending nostats;
run;
quit;

options gstyle;
** With Statistical procedures that support ODS GRAPHICS, each procedure;
** has a graph template that controls the automatic creation of graphs.;
/* Direct HTML output to working directory */
ods listing close;
ods html path='C:\Courses\UG\UG_2011\PharmaSUG\UGODSGNS\output' (url=none)
        gpath='C:\Courses\UG\UG_2011\PharmaSUG\UGODSGNS\output' (url=none)
        file='odsgns.html'
        style=analysis;
ods graphics on / imagename = 'htmlplot' reset=index;
title '1) html with analysis style';
proc reg data = sashelp.heart;
   where cholesterol gt 250;
   model cholesterol = ageatdeath;
run;quit;
ods graphics off;
ods html close;


/* Direct output to RTF */
ods rtf file='odsgns.rtf'
        style=journal;
ods graphics on / imagename = 'rtfplot';
title '2)rtf with statistical style';
proc reg data = sashelp.heart;
   where cholesterol gt 250;
   model cholesterol = ageatdeath;
run;quit;
ods graphics off;
ods rtf close;

/* Direct output to PDF */
ods pdf file='odsgns.pdf'
        style=journal notoc;
ods graphics on / imagename = 'pdfplot';
title '3)pdf with journal style (grayscale)';
proc reg data = sashelp.heart;
   where cholesterol gt 250;
   model cholesterol = ageatdeath;
run;quit;
ods graphics off;
ods pdf close;

title;
ods listing;
ods graphics off;


