proc sgplot data=orion.budget;
title 'Budget by Month';
  vbar month/response=yr2003 fillattrs=(color=red)
                      transparency=.7;
  vbar month/response=yr2004 fillattrs=(color=blue)
                     transparency=.7 barwidth=.5;
run;
 

** with differently structured data, can stack or cluster the bars;
** instead of overlay;

data split(keep=month year val);
   set orion.budget;
   array yr (5) yr2003 yr2004 yr2005 yr2006 yr2007;
   do i = 1 to 5 by 1;
      year = vname(yr(i));
      val=yr(i);
      output;
  end;
run;

proc print data=split;
run;

proc sgplot data=split;
  vbar month / response=val 
               group=year groupdisplay=stacked;
run;

proc sgplot data=split;
  vbar month / response=val 
               group=year groupdisplay=cluster;
run;
