﻿%let region = United States;

proc sort data=sashelp.shoes out=shoes;
where region = "&region" and product in ('Boot' 'Sandal' 'Slipper' 'Sport Shoe');
by region subsidiary product;
run;

** VBARBASIC introduced 9.4M3;
** VBarBasic statement allows the bars summarized by subsidiary;
** then the XAxisTable can display the detailed information by subsidiary and product.;
  
title "1) Total Sales for &region by Subsidiary";
proc sgplot data=shoes;
  vbarbasic subsidiary /response=sales group=subsidiary;
  xaxistable sales / x=subsidiary class=product;
  xaxis display=(nolabel noline);
  yaxis display=(noline) grid;
run;

/*--Opaque Gradient VBARBASIC and AxisTable with CLASS option--*/
ods graphics / reset width=5in height=3.5in imagename='Shoes_g';
title "2) Total Sales for &region by Subsidiary (Gradient)";
proc sgplot data=shoes noborder nocycleattrs noautolegend;
  vbarbasic subsidiary /response=sales baselineattrs=(thickness=0) nooutline 
       fillattrs=(color=white);
  vbarbasic subsidiary /response=sales baselineattrs=(thickness=0) 
       filltype=gradient fillattrs=(color=purple);
  xaxistable sales / x=subsidiary class=product valueattrs=(size=7);
  xaxis display=(nolabel noline);
  yaxis display=(noline) grid;
run;

/* Example from Graphically Speaking blog VBARBASIC
https://blogs.sas.com/content/graphicallyspeaking/2016/12/01/mixing-plots-different-classification/
*/
