﻿data temperatures;
   length Day $9 Forecast $7;
   infile datalines dlm=',';
   input Day $ High Low Forecast $;
   datalines;
Monday,73,61,Cloudy
Tuesday,76,60,Showers
Wednesday,79,59,Sunny
Thursday,80,60,Sunny
Friday,79,64,Showers
Saturday,73,63,Cloudy
Sunday,75,64,Showers
;
run; 

data myattrmap;
   input id $ value $ markercolor $ markersymbol $;
   datalines;
myid Cloudy grey Cloud
myid Sunny orange Sun
myid Showers blue Umbrella
;
run;

proc print data=myattrmap;
  title 'Attribute Map for Marker Symbol';
run;

title; footnote;
proc sgplot data=temperatures dattrmap=myattrmap;
   title 'Temperatures in Cary, NC';
   title2 'The Week of September 1';
   highlow x=day low=low high=high / lineattrs=(color=cx41634a thickness=20pt);
   scatter x=day y=high / markerattrs=(size=25pt) attrid=myid group=forecast;
   symbolchar name=Cloud  char='2601'x / voffset=.25;
   symbolchar name=Sun char='2600'x / voffset=.25;
   symbolchar name=Umbrella char='2602'x / voffset=.25;
   xaxis label='Day of the Week';
   xaxistable high / valueattrs=(size=9pt weight=bold)location=inside;
   xaxistable low / valueattrs=(size=9pt weight=bold) location=inside;
run;
