﻿

ods html(id=chr) path="&outpath" gpath="&outpath" file='choro.html' style=htmlblue;
* Using SASHELP and MAPSGFK data;
title 'CHOROMAP with Divisions color coded';
proc sgmap mapdata=mapsgfk.us
           maprespdata=sashelp.us_data;
	choromap Division / id=statecode mapid=statecode;
run;

* Using MAPSGFK and population data;
title 'CHOROMAP with Population Estimate';
proc sgmap mapdata=mapsgfk.us
           maprespdata=work.state_info;
  choromap State_PopulationEst
           / id=State
             mapid=StateCode;
run;
title;
ods html(id=chr) close;

** Tip Sheet on MAPSGFK usage;
/*
https://support.sas.com/rnd/datavisualization/papers/tipsheets/SGF2019_GfKMapData_TipSheet.pdf
*/

** OPENSTREETMAP example;
**********;
ods html(id=osm) path="&outpath" gpath="&outpath" file="OSM.html" style=htmlblue;
** OPENSTREETMAP and SCATTER;
title 'Scatter for State Capitals';
proc sgmap plotdata=work.state_Info_geo;
    openstreetmap;
    scatter x=x y=y datalabel=Capital_City
            / markerattrs=(color=dodgerblue symbol=circlefilled);
run;

**  Create a Scatter Plot *;
title 'Scatter for Orders on OpenStreetMap';
proc sgmap plotdata=orders_summary_geo;
    openstreetmap;
    scatter x=long y=lat 
            / datalabel=Country;
run;

** Create a Bubble Plot using  OPENSTREETMAP*;
title 'SGMAP with OPENSTREETMAP and BUBBLE';
proc sgmap plotdata=orders_summary_geo;
    openstreetmap;
    bubble x=long y=lat size=Sale_Amount_Sum 
           / datalabel=Country;
run;

** Use OPENSTREETMAP and scatter*;
title 'Scatter with OPENSTREETMAP';
proc sgmap plotdata=work.orders_summary_geo;
    openstreetmap;
    scatter x=long y=lat / datalabel=Country
                      markerattrs=(color=dodgerblue symbol=circlefilled);
run;


PROC SGMAP PLOTDATA=eastUSsprings;
  TITLE H=2 'Selected Springs East of the Mississippi';
  OPENSTREETMAP;
  SCATTER X=longitude Y=latitude / group=Type datalabel=dlabel  
          DATALABELATTRS=(color=black weight=bold size=8pt)
		  datalabelpos=top
          MARKERATTRS=(SIZE=5 SYMBOL=circlefilled);
RUN;

PROC SGMAP PLOTDATA=eastUSsprings;
  TITLE H=2 'Selected Springs East of the Mississippi';
  OPENSTREETMAP;
  bubble X=longitude Y=latitude size=Farenheit / bradiusmin=5px bradiusmax=15px
         group=Type datalabel=dlabel datalabelpos=top
         DATALABELATTRS=(color=black weight=bold size=8pt);
RUN;

ods html (id=osm) close;

ods html(id=esr) path="&outpath" gpath="&outpath" file='esrimap.html' style=htmlblue;

** Create a Bubble Plot using ESRIMAP*;
title 'SGMAP with ESRIMAP and BUBBLE';
proc sgmap plotdata=orders_summary_geo;
    esrimap url='http://services.arcgisonline.com/arcgis/rest/services/Canvas/World_Light_Gray_Base'; 
    bubble x=long y=lat size=Sale_Amount_Sum 
           / datalabel=Country;
run;
title;

 ** Use ESRIMAP and scatter;
title 'Scatter with ESRIMAP';
proc sgmap plotdata=work.orders_summary_geo;
    esrimap url='http://services.arcgisonline.com/arcgis/rest/services/Canvas/World_Light_Gray_Base'; 
    scatter x=long y=lat / datalabel=Country
                      markerattrs=(color=dodgerblue symbol=circlefilled);
run;
title;

ods html(id=esr) close;


** ESRIMAP Hurricane Dorian Example;
/*
Refer to Graphically Speaking blog:
https://blogs.sas.com/content/graphicallyspeaking/2019/09/03/how-to-plot-hurricane-data-on-a-map/
*/

** Robert Allison page with SAS/GRAPH and SG procedure examples;
/*
http://www.robslink.com/SAS/Home.htm
*/
